## wah-plugins 0.0.2

=== Makefile ===
#    Copyright (C) 2004-2009 Fons Adriaensen <fons@kokkinizita.net>
#    
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


CPPFLAGS += -I. -ffast-math -fPIC -D_REENTRANT -Wall -O3


all:	autowah.so


autowah.so:	autowah.o autowah_if.o
	g++ -shared  -o autowah.so autowah.o autowah_if.o

autowah.o:	ladspaplugin.h autowah.h
autowah_if.o:	ladspaplugin.h autowah.h

install:	all
	cp  *.so /usr/lib/ladspa

clean:
	/bin/rm -f *~ *.o *.so

=== debian/changelog ===
wah-plugins (0.0.2-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Add myself as uploader.
  * Copyright updated to format 1.0
  * Fix homepage in control file
  * Fix URL in copyright file
  * Fix watch file.
  * Bump Standards.

  [ Alessio Treglia ]
  * Fix debian/gbp.conf file.
  * Set DM-Upload-Allowed: yes.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 15 Apr 2012 16:21:41 +0200

wah-plugins (0.0.2-1) unstable; urgency=low

  * Initial release (Closes: #593816).

 -- Alessio Treglia <alessio@debian.org>  Sat, 21 Aug 2010 10:00:46 +0200

=== debian/control ===
Source: wah-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 ladspa-sdk
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-multimedia/wah-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/wah-plugins.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html

Package: wah-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 ams
Provides:
 ladspa-plugin
Description: auto-wah LADSPA plugin
 This LADSPA plugin is the combination of a 'wah' pedal and
 a simple envelope follower.
 .
 Controls are:
  - Freq: the resonance frequency of wah filter.
    This would normally be controlled using a
    midi pedal.
  - Mix: crossfades between dry and wet signal, the
    first is the original input signal and the latter
    is the pure output of the resonant filter amplified
    by 18 dB.
 .
 The three remaining parameters control the envelope
 follower. This produces a control signal that is
 added to the 'Freq' setting.
  - Drive: input gain to the envelope follower (so
    this gain is not in the signal path).
  - Decay: controls the decay time of the envelope.
  - Range: controls how much the envelope is allowed
    to modify the basic frequency.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README

## wah-plugins 0.1.0

=== debian/changelog ===
wah-plugins (0.1.0-5build2) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:03:35 +0200

wah-plugins (0.1.0-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:36 +0100

wah-plugins (0.1.0-5) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version

  [ Helmut Grohne ]
  * Use correct compiler (Closes: #890368)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Nov 2019 20:30:47 +0100

wah-plugins (0.1.0-4) unstable; urgency=medium

  * Team upload
  * Remove myself from the Uploaders list

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2017 07:48:41 +0000

wah-plugins (0.1.0-3) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Avoid useless linking.
  * Add local-options file.
  * Tune .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Dec 2016 11:08:20 +0100

wah-plugins (0.1.0-2) unstable; urgency=medium

  * Bump Standards.
  * Enable parallel build.
  * Update copyright file.
  * Added patch to remove LADSPA_PROPERTY_REALTIME. (Closes: #765553)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 10 Sep 2015 10:22:14 +0200

wah-plugins (0.1.0-1) unstable; urgency=low

  * Imported Upstream version 0.1.0
  * Set dh/compat 9.
  * Bump Standards.
  * Removed obsolete DMUA.
  * Update VCS urls.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 09 Mar 2014 16:34:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: wah-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper-compat (= 12),
  ladspa-sdk
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/pkg-multimedia/wah-plugins.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/wah-plugins.git
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/wah-plugins.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/wah-plugins
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
 
 Package: wah-plugins

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-LDFLAGS+=-Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@
